//------------------------------------------------------------------------------------------------------------------------
// Class       : Q::CL_Q_Biosuit
// Author      : BehemothProgrammer
// Description : A pickup that keeps you resistent to toxic water
//------------------------------------------------------------------------------------------------------------------------
namespace Q
{
	class CL_Q_Biosuit : BP::CL_BP_ScriptObject
	{
		//------------------------------------------------------------------------------------------------------------------------
		CL_Q_Biosuit(kActor @actor)
		{
			super(actor);
		}
		//------------------------------------------------------------------------------------------------------------------------
		void OnTouch(kActor @pickupActor)
		{
			BP::HUD::ShowMessage(BP::Game::GetLocalText(10), 120); //"Biosuit"
			biosuitTime = BP::Time::FromNow(30.0f);
			biosuitFading = false;
			hasBiosuit = true;
			self.Remove();
		}
		//------------------------------------------------------------------------------------------------------------------------
	};
}
