#include "scripts/Q/Q_Common_Map.cpp"

enum EnumMapTags
{
	TAG_CAMERA_MAPEXIT_POS = 1038,
	TAG_CAMERA_MAPEXIT_LOOK = 1039,
}

//TIDs
//2602: Warp Start
//1001: Secret Door 1
//1002: Jump Up EventLink 1
//1003: Jump Up EventLink 2
//1004: Jump Up EventLink 3
//1005: Message - You can jump up here
//1006: Jump Across EventLink 1
//1007: Message - You can jump across
//1008: Door 1, Door 1 Event Link For Enemy
//1009: Elevator 1, Button 1-2, Elevator 1 Blocker Modifier
//1010: Trigger Area for Elevator 1
//1011: Elevator 2, Door 2, Elevator 1 Blocker Modifier
//1012: Elevator 2 EventLink
//1013: Door 3
//1014: Secret Door 2
//1015: Secret Door 2 Hint EventLink
//1016: Secret Door 2 Hint Message
//1017: Elevator 3
//1018: Secret Door 4
//1019: Secret Door 3
//1020: Shootable Trigger 1 for Elevator 3
//1021: Secret Door 5
//1022: Elevator 5
//1023: Button 3, Door 4 Bridge, Sector Modifiers
//1024: Shootable Trigger 2 for Elevator 4
//1025: Shootable Trigger 3 for Secret Door 5
//1026: Door 5, EventLink Show Base Group 3 Enemies
//1027: Secret 6 warp point
//1028: 
//1029: 
//1030: 
//1031: Button Sequence Door + Action ShowAI for TID 1534..1537
//1032: Message - Enter slipgate to exit
//1033: Action ShowAI
//1034: Action ShowAI
//1035: Action ShowAI
//1036: Message Eventlink for 3 buttons
//1037: Message - You must press the 3 buttons
//1038: Map Exit Camera Pos
//1039: Map Exit Camera Look Target
//1040: Secret 1 Hint EventLink
//1041: Secret 1 Hint Message
//1042: Secret 1 Shoot Trigger
//1043: Secret Door 3 Shoot Trigger
//1044: Secret Door 2 Shoot Trigger
//1045: Action Solid Secret Door 2 Shoot Trigger
//1046: Trigger Area for Elevator 1 EventLinks
//1047: Action ShowAI for TID 1503..1507
//1048: EventLink Show Base Group 1 Enemies
//1049: Action ShowAI for TID 1509..1513
//1050: Elevator 4, Elevator 4 Sector Modifier
//1051: EventLink Show Base Group 2 Enemies
//1052: Action ShowAI for TID 1514..1515
//1053: Action ShowAI for TID 1519..1520
//1054: EventLink Show Base Group 4 Enemies
//1055: Action ShowAI for TID 1526..1533
//1056: SeqButton 1 + EventLink
//1057: SeqButton 2 + EventLink
//1058: SeqButton 3 + EventLink
//1059: Counter 0
//1060: EventLinks check Counter 0 value
//1061: 1 ButtonSeq Message
//1062: 2 ButtonSeq Message
//1063: 3 ButtonSeq Message, EventLink to open Button Sequence complete Door
//1064: EventLink Show Base Group 6 Enemies
//1065: Action ShowAI for TID 1538..1541
//1066: 

//1500-1541: Enemies

//------------------------------------------------------------------------------------------------------------------------
// OnStart
//------------------------------------------------------------------------------------------------------------------------
$script 0
{
	Q::OnMapStart(instigator);	
	Q::totalSecrets = 6;
	Q::totalEnemies = 42;
	Q::camExitPosActors.insertLast(World.GetActorByTID(TAG_CAMERA_MAPEXIT_POS));
	Q::camExitLookActors.insertLast(World.GetActorByTID(TAG_CAMERA_MAPEXIT_LOOK));
	BP::Music::Play(Q::PATH_MUSIC_TRACK06);
}
//------------------------------------------------------------------------------------------------------------------------
// OnTick
//------------------------------------------------------------------------------------------------------------------------
$script 1
{
	Q::OnMapTick();
	
    $restart;
}
//------------------------------------------------------------------------------------------------------------------------
// Map Exit
//------------------------------------------------------------------------------------------------------------------------
$script 7000
{
	Q::NextMap(Q::PATH_MAP_E1M2);
}
//------------------------------------------------------------------------------------------------------------------------
