#include "BP_Addons/scripts/BP_Main.cpp"

#include "scripts/Q/Q_Common_Shared.cpp"

#include "scripts/Q/Actors/Misc/Q_Map.cpp"
#include "scripts/Q/Actors/Misc/Q_Biosuit.cpp"
#include "scripts/Q/Actors/AI/Q_Enemy.cpp"
#include "scripts/Q/Actors/AI/Q_FlyMantis.cpp"
#include "scripts/Q/Actors/AI/Q_Zombie.cpp"

//------------------------------------------------------------------------------------------------------------------------
// Console command - Help
//------------------------------------------------------------------------------------------------------------------------
void help()
{
	BP::Log("");
	BP::Log("----------Commands----------");
	BP::LogError("call music (" + (BP::Music::IsDisabled() ? "Disabled" : "Enabled") + ") - Toggles playing the custom .wav music on/off");
}
//------------------------------------------------------------------------------------------------------------------------
// Console command - Toggle Custom Music
//------------------------------------------------------------------------------------------------------------------------
void music()
{
	if (BP::Music::IsDisabled())
	{
		BP::Music::Enable();
		BP::Log("Custom Music Enabled");
	}
	else
	{
		BP::Music::Disable();
		BP::Log("Custom Music Disabled");
	}
}
//------------------------------------------------------------------------------------------------------------------------
