//------------------------------------------------------------------------------------------------------------------------
// Class       : BP::CL_BP_Triceratops
// Author      : BehemothProgrammer
// Description : Triceratops with a missle launcher and no rider.
// OnTrigger   : Nothing
//
// Parameters  : 
//------------------------------------------------------------------------------------------------------------------------
namespace BP
{
	class CL_BP_Triceratops : TurokEnemy
	{
		//------------------------------------------------------------------------------------------------------------------------
		CL_BP_Triceratops(kActor @actor)
		{
			super(actor);
		}
		//------------------------------------------------------------------------------------------------------------------------
		void RiderFireMissiles(kActor @instigator, const float w, const float x, const float y, const float z)
		{
			if (self.GetTarget() is null)
				return;
			
			self.SpawnFx("BP_Addons/fx/triceratops_rocket.kfx", kVec3(x, y, z));
		}
		//------------------------------------------------------------------------------------------------------------------------
		void RiderFireShots(kActor @instigator, const float w, const float x, const float y, const float z)
		{
			if (self.GetTarget() is null)
				return;
			
			self.SpawnFx("fx/generic_201.kfx", kVec3(x, y, z));
		}
		//------------------------------------------------------------------------------------------------------------------------
		void GunFire(kActor @instigator, const float w, const float x, const float y, const float z)
		{
			if (self.GetTarget() is null)
				return;

			self.PlaySound("sounds/shaders/generic_8_enemy_human_gunfire.ksnd");
			self.SpawnFx("fx/robot_bullet.kfx", kVec3(x, y, z));
		}
		//------------------------------------------------------------------------------------------------------------------------
	};
}
