#include "scripts/Q/Q_Common_Map.cpp"

enum EnumMapTags
{
	TAG_CAMERA_MAPEXIT_POS = 1027,
	TAG_CAMERA_MAPEXIT_LOOK = 1028,
}

//TIDs
//2603: Warp Start
//1000: Secret Door 1
//1001: Secret Door 1 Shoot Trigger
//1002: Shoot Button 1, Door Bars Go Up, Action Remove Actor Bar Collision, Action show flying mantises
//1003: Shoot Button 1 Shoot Trigger
//1004: Bars Go Up Collision
//1005: Door
//1006: Button 2, Bridge
//1007: Key Door Triggered
//1008: Key Silver
//1009: Brick Door Secret, 
//1010: Key Door
//1011: Key Door EventLinks
//1012: button cubes, eventlink
//1013: cube door 1,2
//1014: cube blockers modifiers
//1015: Cube local warp point right
//1016: Cube local warp point left
//1017: Final Door
//1018: Sewer Wall Door near key door
//1019: Sewer Wall Door under silver key area
//1020: EventLink for TID 1019
//1021: Sewer Wall Door under armor bars
//1022: EventLink for TID 1021
//1023: Warp Point to middle armor
//1024: skull walls, Action - Show Enemies
//1025: underwater middle elevator EventLink
//1026: underwater middle elevator
//1027: Map Exit Camera Pos
//1028: Map Exit Camera Look Target
//1029: Flame Traps
//1030: Action - Show Leapers
//1031: Message - Walk into arch to exit
//1032: Action - Show Enemies
//1033: EventLink for TID 1034
//1034: Message - Walk into arch to exit
//1035: Action: Show Secret Flying Mantis
//1036: Start Save Game EventLink
//1037: SectorModifier Turn on SaveGame Flag at start
//1038: Key Door Message Need Key
//1039: 

//1500-1546: Enemies

//------------------------------------------------------------------------------------------------------------------------
// OnStart
//------------------------------------------------------------------------------------------------------------------------
$script 0
{
	Q::OnMapStart(instigator);	
	Q::totalSecrets = 3;
	Q::totalEnemies = 47;
	Q::camExitPosActors.insertLast(World.GetActorByTID(TAG_CAMERA_MAPEXIT_POS));
	Q::camExitLookActors.insertLast(World.GetActorByTID(TAG_CAMERA_MAPEXIT_LOOK));
	BP::Music::Play(Q::PATH_MUSIC_TRACK08);
}
//------------------------------------------------------------------------------------------------------------------------
// OnTick
//------------------------------------------------------------------------------------------------------------------------
$script 1
{
	Q::OnMapTick();
	
    $restart;
}
//------------------------------------------------------------------------------------------------------------------------
// Map Exit
//------------------------------------------------------------------------------------------------------------------------
$script 7000
{
	Q::NextMap(Q::PATH_MAP_E1M3);
}
//------------------------------------------------------------------------------------------------------------------------
