#include "scripts/Q/Q_Common_Map.cpp"

enum EnumMapTags
{
	TAG_CAMERA_MAPEXIT_POS = 1042,
	TAG_CAMERA_MAPEXIT_LOOK = 1043,
}

//TIDs
//2604: Warp Start
//1000: Start Save Game EventLink
//1001: SectorModifier Turn on SaveGame Flag at start
//1002: Door
//1003: Door Bars, ceiling door comes down, eventlink
//1004: Shoot Trigger to lower floor
//1005: Button, floors lower, sectormodifiers
//1006: Touch Area
//1007: Touch Area EventLink to trigger TID 1003
//1008: Kill Area for EventLink Condition when ceiling comes down
//1009: EventLink for player in kill area
//1010: Action - Kill Player
//1011: Elevator 1, Action: ShowAI
//1012: Door Gold Key, Action: ShowAI
//1013: Gold Key
//1014: Elevator at start, Action: Show AI
//1015: EventLink for Killed Upper Enemy
//1016: Elevator for TID 1015, Action: ShowAI
//1017: Shoot Trigger for secret 1
//1018: Elevator for secret 1
//1019: Elevator back up to start
//1020: Button, Pillar bars
//1021: Elevator down towards gold key
//1022: Door Gold Key EventLink
//1023: Message - Need gold key
//1024: Shoot Door Thing, EventLink
//1025: SectorModfier lower shoot thing
//1026: FxSpawners for 1hit shot
//1027: Button, 4 elevator doors, Actions: ShowAI
//1028: Door, Actions: ShowAI
//1029: Bar Door 1 To Secret 3
//1030: Bar Door 2 To Secret 3
//1031: Shoot Trigger for Door To Secret 3
//1032: Door To Secret 3
//1033: Door Trigger Area
//1034: Door
//1035: Elevator Button
//1036: Elevator Button Trigger Area
//1037: Door to warp to top
//1038: Elevator, SectorModifier Blocker
//1039: Arch Final Door
//1040: Warp Point To Top
//1041: Warp Point To Secret 3
//1042: Map Exit Camera Pos
//1043: Map Exit Camera Look Target
//1044: Actions: ShowAI
//1045: Actions: ShowAI
//1046: Actions: ShowAI
//1047: Actions: ShowAI
//1048: Actions: ShowAI
//1049: Actions: ShowAI
//1050: Actions: ShowAI
//1051: Triceratops 1 Killed - Action: Show other Triceratops
//1052: Actions: ShowAI
//1053: Actions: ShowAI
//1054: Actions: ShowAI
//1055: Actions: ShowAI
//1056: Action: ShowAI Final Leaper 1
//1057: Action: ShowAI Final Leaper 2
//1058: Counter 1: Final Leapers Killed
//1059: Action: ShowAI Final Trex
//1060: 

//1500-1569: Enemies

//------------------------------------------------------------------------------------------------------------------------
// OnStart
//------------------------------------------------------------------------------------------------------------------------
$script 0
{
	Q::OnMapStart(instigator);	
	Q::totalSecrets = 3;
	Q::totalEnemies = 70;
	Q::camExitPosActors.insertLast(World.GetActorByTID(TAG_CAMERA_MAPEXIT_POS));
	Q::camExitLookActors.insertLast(World.GetActorByTID(TAG_CAMERA_MAPEXIT_LOOK));
	BP::Music::Play(Q::PATH_MUSIC_TRACK09);
}
//------------------------------------------------------------------------------------------------------------------------
// OnTick
//------------------------------------------------------------------------------------------------------------------------
$script 1
{
	Q::OnMapTick();
	
    $restart;
}
//------------------------------------------------------------------------------------------------------------------------
// Map Exit
//------------------------------------------------------------------------------------------------------------------------
$script 7000
{
	Q::NextMap(Q::PATH_MAP_E1M7);
}
//------------------------------------------------------------------------------------------------------------------------
